﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;

@using Portal.Models.Supplier;
@using Portal.Models.Dock;
 
@model Toyota.Common.Web.MVC.ModelHolder

<table cellpadding="0" cellspacing="0">
    <tr>
        <td style="width:80px">
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Supplier";
                label.Name = "lblSubSupp";
            }).GetHtml()
        </td>
        <td style="width:108px">
            @Html.Common().DevExpress().GridLookup(
            gridLookup =>
            {
                gridLookup.Name = "OIHSupplierOption";
                gridLookup.Width = 108;
                gridLookup.GridProperties.KeyFieldName = "SUPPLIER_CODE_PLANT";
                gridLookup.GridProperties.CallbackRouteValues = new { Controller = "SubManifestInquiry", Action = "PartialHeaderSupplierLookupGridOrderInquiry" };
                gridLookup.ReadOnly = true;
                if (Model.GetModel<List<SupplierName>>().Count == 1)
                {
                    gridLookup.Text = Model.GetModel<List<SupplierName>>()[0].SUPPLIER_CODE_PLANT;
                }
                    
                gridLookup.GridProperties.Columns.Add(column =>
                {
                    column.Name = "SUPPLIER_CODE_PLANT";
                    column.FieldName = "SUPPLIER_CODE_PLANT";
                    column.Caption = "Supplier<br /> Code";
                    column.Width = Unit.Pixel(80);
                    column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                });

                gridLookup.GridProperties.Columns.Add(column =>
                {
                    column.Name = "SUPPLIER_NAME";
                    column.FieldName = "SUPPLIER_NAME";
                    column.Caption = "Supplier<br />Name";
                    column.Width = Unit.Pixel(500);
                    column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                    column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                });
            }).Bind(Model.GetModel<List<SupplierName>>()).GetHtml()     

        </td>
        <td style="width:20px"></td>
        <td style="width:118px">
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Upload No";
            }).GetHtml()    
        </td>
        <td>   
            @Html.DevExpress().TextBox(
            textBox =>
            {
                textBox.Properties.ClientInstanceName = "I_UPLOAD_NO";
                textBox.Name = "I_UPLOAD_NO";
                textBox.Width = Unit.Pixel(110);
                //textBox.Properties.MaskSettings.Mask = "<0..999999>";
            }).GetHtml() 

        </td>
        <td style="width:20px"></td>
        <td style="width:118px">
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Manifest No";
            }).GetHtml()                          
        </td>
        <td style="width:108px">
            @Html.DevExpress().TextBox(
            textBox =>
            {
                textBox.Properties.ClientInstanceName = "I_MANIFEST_NO";
                textBox.Name = "I_MANIFEST_NO";
                textBox.Width = Unit.Pixel(110);
                textBox.Properties.MaxLength = 16;
            }).GetHtml()  
        </td>
        <td style="width:20px"></td>
        <td style="width:120px">
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "*Submanifest Date";
            }).GetHtml()                          
        </td>
        <td style="width:108px">
            @Html.DevExpress().DateEdit(
            settings =>
            {
                settings.Name = "I_DATE_FROM";
                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                settings.Properties.EditFormat = EditFormat.Custom;
                settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                settings.Properties.EditFormatString = "dd.MM.yyyy";
                settings.Width = 108; 
            }).GetHtml()   

        </td>
        <td style="width:20px"></td>
        <td style="width:25px"  >
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "To"; 
            }).GetHtml()
        </td>
        <td style="width:108px">
            @Html.DevExpress().DateEdit(
            settings =>
            {
                settings.Name = "I_DATE_TO";
                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                settings.Properties.EditFormat = EditFormat.Custom;
                settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                settings.Properties.EditFormatString = "dd.MM.yyyy";
                settings.Width = 108; 
            }).GetHtml() 
            </td>
    </tr>
    <tr style="height:5px"></tr>
    <tr> 
        <td>  
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Sub Supplier";
            }).GetHtml()  
        </td>
        <td> 
            @Html.Common().DevExpress().GridLookup(
            gridLookup =>
            {
                gridLookup.Name = "OIHSubSupplierOption";
                gridLookup.Width = 108;
                gridLookup.GridProperties.KeyFieldName = "SUB_SUPPLIER_CODE_PLANT";
                gridLookup.GridProperties.CallbackRouteValues = new { Controller = "SubManifestInquiry", Action = "PartialHeaderSubSupplierLookupGridOrderInquiry" };
                gridLookup.ReadOnly = true;
                //if (Model.GetModel<List<SupplierNameSPEX>>().Count == 1)
                //{
                //    gridLookup.Text = Model.GetModel<List<SupplierNameSPEX>>()[0].SUB_SUPPLIER_CODE_PLANT;
                //}

                gridLookup.GridProperties.Columns.Add(column =>
                {
                    column.Name = "SUB_SUPPLIER_CODE_PLANT";
                    column.FieldName = "SUB_SUPPLIER_CODE_PLANT";
                    column.Caption = "Sub. Supplier<br /> Code";
                    column.Width = Unit.Pixel(80);
                    column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                });

                gridLookup.GridProperties.Columns.Add(column =>
                {
                    column.Name = "SUB_SUPPLIER_NAME";
                    column.FieldName = "SUB_SUPPLIER_NAME";
                    column.Caption = "Sub. Supplier<br />Name";
                    column.Width = Unit.Pixel(500);
                    column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                    column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                });
            }).Bind(Model.GetModel<List<SupplierNameSPEX>>()).GetHtml()
        </td>
        <td></td>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Ref No";
            }).GetHtml()    
        </td>
        <td>   
            @Html.DevExpress().TextBox(
            textBox =>
            {
                textBox.Properties.ClientInstanceName = "I_REF_NO";
                textBox.Name = "I_REF_NO";
                textBox.Width = Unit.Pixel(110);
                textBox.Properties.MaxLength = 20;
            }).GetHtml() 
        </td> 
        <td></td>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Sub Manifest No";
            }).GetHtml()    
        </td>
        <td>
            
            @Html.DevExpress().TextBox(
            textBox =>
            {
                textBox.Properties.ClientInstanceName = "I_SUB_MANIFEST_NO";
                textBox.Name = "I_SUB_MANIFEST_NO";
                textBox.Width = Unit.Pixel(110);
                textBox.Properties.MaxLength = 15;
            }).GetHtml() 
        </td>
        <td></td>
        <td>  
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "*ETD from";
            }).GetHtml()                          
        </td>
        <td style="width:108px">
            @Html.DevExpress().DateEdit(
            settings =>
            {
                settings.Name = "I_ETD_FROM";
                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                settings.Properties.EditFormat = EditFormat.Custom;
                settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                settings.Properties.EditFormatString = "dd.MM.yyyy";
                settings.Width = 108; 
            }).GetHtml()   

        </td>
        <td style="width:20px"></td>
        <td style="width:25px"  >
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "To"; 
            }).GetHtml()
        </td>
        <td style="width:108px">
            @Html.DevExpress().DateEdit(
            settings =>
            {
                settings.Name = "I_ETD_TO";
                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                settings.Properties.EditFormat = EditFormat.Custom;
                settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                settings.Properties.EditFormatString = "dd.MM.yyyy";
                settings.Width = 108; 
            }).GetHtml() 
            </td>
    </tr>  

    <tr style="height:5px"></tr>
    <tr> 
        <td>  
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Dock";
            }).GetHtml()  
        </td>
        <td> 
            @Html.Common().DevExpress().GridLookup(
            gridLookup =>
            {
                gridLookup.Name = "OIHDockOption";
                gridLookup.Width = 108;
                gridLookup.GridProperties.KeyFieldName = "DockCode";
                gridLookup.GridProperties.CallbackRouteValues = new { Controller = "SubManifestInquiry", Action = "PartialHeaderDockLookupGridOrderInquiry" };
                gridLookup.ReadOnly = true;
                if (Model.GetModel<List<DockData>>().Count == 1)
                {
                    gridLookup.Text = Model.GetModel<List<DockData>>()[0].DockCode;
                }

                gridLookup.GridProperties.Columns.Add(column =>
                {
                    column.Name = "DockCode";
                    column.FieldName = "DockCode";
                    column.Caption = "Dock Code";
                    column.Width = Unit.Pixel(80);
                    column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                });

                gridLookup.GridProperties.Columns.Add(column =>
                {
                    column.Name = "DockName";
                    column.FieldName = "DockName";
                    column.Caption = "Dock Name";
                    column.Width = Unit.Pixel(500);
                    column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                    column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                });
            }).Bind(Model.GetModel<List<DockData>>()).GetHtml()
        </td>
        <td></td>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Route";
            }).GetHtml()    
        </td>
        <td>   
            
            @Html.DevExpress().TextBox(
            textBox =>
            {
                textBox.Properties.ClientInstanceName = "I_ROUTE";
                textBox.Name = "I_ROUTE";
                textBox.Width = Unit.Pixel(110);
                textBox.Properties.MaxLength = 4;
            }).GetHtml()  

          @* @Html.DevExpress().ComboBox(
                cmb => {
                cmb.Name = "I_ROUTE";
                cmb.Width = System.Web.UI.WebControls.Unit.Pixel(108);
                cmb.Properties.Items.Add("");
                cmb.Properties.Items.Add("Routeee satu");
                cmb.Properties.Items.Add("Routeee Dua");
                cmb.Properties.DropDownStyle = DropDownStyle.DropDown;
                cmb.Properties.DropDownHeight = 70;
                cmb.Properties.EnableClientSideAPI = true;
            }).BindList(ViewData["RoutePart"]).GetHtml() *@
                                  
        </td>
        <td></td>
        		<td>  
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Status";
            }).GetHtml()  
        </td>
        <td> 
           
            @Html.DevExpress().ComboBox(
            cmb => {
                cmb.Name = "I_STATUS";
                cmb.Width = System.Web.UI.WebControls.Unit.Pixel(108);
                cmb.Properties.Items.Add("");
                cmb.Properties.Items.Add("Completed");
                cmb.Properties.Items.Add("Not Completed");
                cmb.Properties.DropDownStyle = DropDownStyle.DropDown;
                cmb.Properties.DropDownHeight = 70;
                cmb.Properties.EnableClientSideAPI = true;
            }).BindList(ViewData["StatusPart"]).GetHtml()
        </td>

        <td></td>
        <td> 
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "*Release From";
            }).GetHtml()  
        </td>
        <td>  

            @Html.DevExpress().DateEdit(
            settings =>
            {
                settings.Name = "I_ETA_FROM";
                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                settings.Properties.EditFormat = EditFormat.Custom;
                settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                settings.Properties.EditFormatString = "dd.MM.yyyy";
                settings.Width = 108; 
            }).GetHtml()   

        </td>
        <td style="width:20px"></td>
        <td style="width:25px"  >
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "To"; 
            }).GetHtml()
        </td>
        <td style="width:108px">
            @Html.DevExpress().DateEdit(
            settings =>
            {
                settings.Name = "I_ETA_TO";
                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                settings.Properties.EditFormat = EditFormat.Custom;
                settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                settings.Properties.EditFormatString = "dd.MM.yyyy";
                settings.Width = 108; 
            }).GetHtml() 
            </td>
    </tr>  

    <tr style="height:5px"></tr>
    <tr> 
        
        <td></td>
       
    </tr> 
    <tr style="height:5px"></tr>
@*    <tr>
         <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Upload No";
            }).GetHtml()    
        </td>
        <td>   
            @Html.DevExpress().TextBox(
            textBox =>
            {
                textBox.Properties.ClientInstanceName = "I_UPLOAD_NO";
                textBox.Name = "I_UPLOAD_NO";
                textBox.Width = Unit.Pixel(110);
                textBox.Properties.MaskSettings.Mask = "<0..999999>";
            }).GetHtml() 
        </td> 

    </tr>*@       
    <tr>  
                    <td>
                        @Html.DevExpress().Button(
                        settings =>
                        {
                            settings.Name = "OIHCancelButton";
                            settings.Text = "Cancel";
                            settings.Width = Unit.Pixel(80);
                            settings.ClientSideEvents.Click = "OnOIHCancelButtonClick";
                            settings.EnableClientSideAPI = true;
                        }).GetHtml()
                    </td>
                    <td style="padding-left:2px">
                        @Html.DevExpress().Button(
                        settings =>
                        {
                            settings.Name = "OIHEditButton";
                            settings.Text = "Edit";
                            settings.Width = System.Web.UI.WebControls.Unit.Pixel(80);
                            settings.ClientSideEvents.Click = "OnOIHEditButtonClick";
                            settings.EnableClientSideAPI = true;
                        }).GetHtml()
                    </td>
                    <td style="padding-left:2px">
                        @Html.DevExpress().Button(
                        buttonSettings =>
                        {
                            buttonSettings.Name = "OIHReGeneratePDFButton";
                            buttonSettings.Text = "Re-Generate PDF";
                            buttonSettings.Width = Unit.Pixel(150);
                            buttonSettings.ClientSideEvents.Click = "OnOIHReGeneratePDFButtonClick";
                        }).GetHtml()
                    </td>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td></td> 
                    <td></td> 
                    <td></td>  
                    <td></td>        
                    <td colspan="4" style="padding-left:2px" >
                        <table>
                            <tr style="align:right"">
                                <td> 
                                @Html.DevExpress().Button(
                                buttonSettings =>
                                {
                                    buttonSettings.Name = "OIHDownloadButton";
                                    buttonSettings.Text = "Download";
                                    buttonSettings.Width = Unit.Pixel(110);
                                    buttonSettings.ClientSideEvents.Click = "OnOIHDownloadButtonClick";
                                }).GetHtml()                     
                              </td> 
                              <td style="padding-left:2px">

                                @Html.DevExpress().Button(
                                settings =>
                                {
                                    settings.Name = "OIHSearchButton";
                                    settings.Text = "Search";
                                    settings.Width = Unit.Pixel(80);
                                    settings.ClientSideEvents.Click = "OnOIHSearchButtonClick";
                                    settings.EnableClientSideAPI = true;
                                }).GetHtml()
                                    
                              </td> 
                              <td style="padding-left:2px">
                        
                                @Html.DevExpress().Button(
                                settings =>
                                {
                                    settings.Name = "OIHClearButton";
                                    settings.Text = "Clear";
                                    settings.Width = System.Web.UI.WebControls.Unit.Pixel(80);
                                    settings.ClientSideEvents.Click = "OnOIHClearButtonClick";
                                    settings.EnableClientSideAPI = true;
                                }).GetHtml()
                                </td>
                            </tr>

                        </table>
                    </td> 
                </tr>  
</table>